Fourti2IOHandler.cpp File Reference
`#include "stdinc.h"`
`#include "Fourti2IOHandler.h"`
`#include "Scanner.h"`
`#include "BigIdeal.h"`
`#include "Term.h"`
`#include "TermTranslator.h"`
`#include "BigPolynomial.h"`
`#include "BigTermConsumer.h"`
`#include "DataType.h"`
`#include "IdealConsolidator.h"`
`#include "PolynomialConsolidator.h"`
`#include "SatBinomIdeal.h"`
`#include "SatBinomConsumer.h"`
`#include "IdealWriter.h"`
`#include "PolyWriter.h"`
`#include "error.h"`
`#include "display.h"`
`#include "InputConsumer.h"`

Go to the source code of this file.

## Classes

class | IO::Fourti2IdealWriter
class | IO::Fourti2PolyWriter

## Namespaces

namespace | IO
namespace | IO::Fourti2

## Functions

void | IO::Fourti2::writeRing (const VarNames &names, FILE *out)
void | IO::Fourti2::writeRingWithoutHeader (const VarNames &names, FILE *out)
void | IO::Fourti2::readTerm (Scanner &in, InputConsumer &consumer)
void | IO::Fourti2::readRing (Scanner &in, VarNames &names)
void | IO::Fourti2::readRing (Scanner &in, VarNames &names, size_t varCount)
void | IO::Fourti2::writeTerm (const vector< mpz_class > &term, FILE *out)
void | IO::Fourti2::writeTerm (const Term &term, const TermTranslator &translator, FILE *out)
void | IO::Fourti2::readIdeal (Scanner &in, InputConsumer &consumer, size_t generatorCount, size_t varCount)
| The parsing of the header with the number of generators and variables has to be separate from the code below reading the rest of the ideal, since in some contexts what looks like the header of an ideal could be a ring description, while in other contexts this cannot happen.
void | IO::Fourti2::readSatBinomIdeal (Scanner &in, SatBinomConsumer &consumer, size_t generatorCount, size_t varCount)
void | IO::Fourti2::display4ti2Warning ()